diff --git a/home/lucifer/.local/share/nautilus/scripts/05a-Windows/02a-RAW-remove-hiberfile b/home/lucifer/.local/share/nautilus/scripts/05a-Windows/02a-RAW-remove-hiberfile
new file mode 100755
index 0000000..2bddaa9
--- /dev/null
+++ b/home/lucifer/.local/share/nautilus/scripts/05a-Windows/02a-RAW-remove-hiberfile
@@ -0,0 +1,133 @@
+#!/bin/bash
+#===============================================================================
+#
+# DIRECTORY:
+# /home/*/.local/share/nautilus/scripts/05a-Windows/
+# OR
+# /home/*/.gnome2/nautilus-sctipts/05a-Windows/ (deprecated)
+#
+# FILE:
+# 02a-RAW-remove-hiberfile
+#
+# USAGE:
+# Right click on an RAW (.dd) image and
+# choose this nautilus script from the context menu.
+#
+# OPTIONS:
+# none
+#
+# DESCRIPTION:
+# Fixes the f***ing fast boot feature of M$ Windows 8 and later.
+#
+# REQUIREMENTS:
+# bash, zenity, ...
+#
+# BUGS:
+# ---
+#
+# NOTES:
+# Tested on
+# - Debian 8+
+# - Arch Linux
+#
+# AUTHOR:
+# Patrick Neumann, patrick@neumannsland.de
+#
+# COMPANY:
+# (privately)
+#
+# VERSION:
+# 0.9 (beta)
+#
+# LINK TO THE MOST CURRENT VERSIONS:
+# https://...
+#
+# CREATED:
+# 18.11.2020
+#
+# COPYRIGHT (C):
+# 2015-2020 - Patrick Neumann
+#
+# LICENSE:
+# This program is free software: you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation, either version 3 of the License, or
+# (at your option) any later version.
+#
+# WARRANTY:
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program. If not, see .
+#
+# TODO:
+# - Check if this is really needed. Maybe boot and shift shutdown from
+# the login screen will do it!?
+#
+# HISTORY:
+# 0.9 - Patrick Neumann - Initial (public) release
+#
+#===============================================================================
+
+#-------------------------------------------------------------------------------
+# Additional supported Distribution(s) (add before Library!).
+#-------------------------------------------------------------------------------
+SUPPORTED_OSR="arch"
+
+#-------------------------------------------------------------------------------
+# Check for library (casualscripter_nautilus-scripts_functions.sh).
+#-------------------------------------------------------------------------------
+readonly LIBRARY="${0%/*/*}/.casualscripter_nautilus-scripts_functions.sh"
+if [ ! -f "${LIBRARY}" ] ; then
+ zenity --error \
+ --text \
+ "ERROR: casualscripter_nautilus-scripts_functions.sh MISSING!"
+ exit 1
+fi
+
+source "${LIBRARY}"
+
+#-------------------------------------------------------------------------------
+# Checks (see library "casualscripter_nautilus-scripts_functions.sh").
+#-------------------------------------------------------------------------------
+check_dep "${LOSETUP_BIN}" "util-linux"
+check_dep "${KPARTX_BIN}" "multipath-tools"
+
+check_ext "${SOURCE}" "dd"
+
+#-------------------------------------------------------------------------------
+# A little bit of configuration before the magic.
+#-------------------------------------------------------------------------------
+#readonly PARTITION="$( choose_partition "${SOURCE}" parted )"
+
+#-------------------------------------------------------------------------------
+# The wonder...
+#-------------------------------------------------------------------------------
+hint "has to be implemented" && exit
+
+#-------------------------------------------------------------------------------
+# Display content of the resultfile "timezone.txt".
+#-------------------------------------------------------------------------------
+readonly LOOPDEV="$( ${LOSETUP_BIN} -f )"
+
+if ! ${PKEXEC_BIN} ${LOSETUP_BIN} "${LOOPDEV}" "${SOURCE}" ; then
+ error_exit "setting up loop device failed"
+fi
+
+if ! ${PKEXEC_BIN} ${KPARTX_BIN} -a "${LOOPDEV}" ; then
+ error_exit "creating device mapping failed"
+fi
+
+### TODO: Ask for partition to mount (see: 04-RAW/02-mount-partition)
+### TODO: mkdir mount point
+
+if ${PKEXEC_BIN} ${MOUNT_BIN} -t ntfs-3g -o remove_hiberfile "${LOOPDEV}pX" ./Partition_Y ; then
+ success "partition with removed hiberfile mounted"
+else
+ error_exit "mounting of partition failed"
+fi
+
+exit 0
diff --git a/home/lucifer/.local/share/nautilus/scripts/05a-Windows/02b-RAW-delete-dev-mapping-and-detach-loop-dev b/home/lucifer/.local/share/nautilus/scripts/05a-Windows/02b-RAW-delete-dev-mapping-and-detach-loop-dev
new file mode 100755
index 0000000..e670a33
--- /dev/null
+++ b/home/lucifer/.local/share/nautilus/scripts/05a-Windows/02b-RAW-delete-dev-mapping-and-detach-loop-dev
@@ -0,0 +1,124 @@
+#!/bin/bash
+#===============================================================================
+#
+# DIRECTORY:
+# /home/*/.local/share/nautilus/scripts/05a-Windows/
+# OR
+# /home/*/.gnome2/nautilus-sctipts/05a-Windows/ (deprecated)
+#
+# FILE:
+# 02b-RAW-delete-dev-mapping-and-detach-loop-dev
+#
+# USAGE:
+# Right click on an RAW (.dd) image and
+# choose this nautilus script from the context menu.
+#
+# OPTIONS:
+# none
+#
+# DESCRIPTION:
+# U(n)mount a NTFS partition that was fixed before.
+#
+# REQUIREMENTS:
+# bash, zenity, ...
+#
+# BUGS:
+# ---
+#
+# NOTES:
+# Tested on
+# - Debian 8+
+# - Arch Linux
+#
+# AUTHOR:
+# Patrick Neumann, patrick@neumannsland.de
+#
+# COMPANY:
+# (privately)
+#
+# VERSION:
+# 0.9 (beta)
+#
+# LINK TO THE MOST CURRENT VERSIONS:
+# https://...
+#
+# CREATED:
+# 18.11.2020
+#
+# COPYRIGHT (C):
+# 2015-2020 - Patrick Neumann
+#
+# LICENSE:
+# This program is free software: you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation, either version 3 of the License, or
+# (at your option) any later version.
+#
+# WARRANTY:
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program. If not, see .
+#
+# TODO:
+# - If 02a is not needed then this one too!?
+#
+# HISTORY:
+# 0.9 - Patrick Neumann - Initial (public) release
+#
+#===============================================================================
+
+#-------------------------------------------------------------------------------
+# Additional supported Distribution(s) (add before Library!).
+#-------------------------------------------------------------------------------
+SUPPORTED_OSR="arch"
+
+#-------------------------------------------------------------------------------
+# Check for library (casualscripter_nautilus-scripts_functions.sh).
+#-------------------------------------------------------------------------------
+readonly LIBRARY="${0%/*/*}/.casualscripter_nautilus-scripts_functions.sh"
+if [ ! -f "${LIBRARY}" ] ; then
+ zenity --error \
+ --text \
+ "ERROR: casualscripter_nautilus-scripts_functions.sh MISSING!"
+ exit 1
+fi
+
+source "${LIBRARY}"
+
+#-------------------------------------------------------------------------------
+# Checks (see library "casualscripter_nautilus-scripts_functions.sh").
+#-------------------------------------------------------------------------------
+check_dep "${LOSETUP_BIN}" "util-linux"
+check_dep "${KPARTX_BIN}" "multipath-tools"
+
+check_ext "${SOURCE}" "dd"
+
+#-------------------------------------------------------------------------------
+# A little bit of configuration before the magic.
+#-------------------------------------------------------------------------------
+#readonly LOOPDEV="$( ${LOSETUP_BIN} -a )"
+### TODO: ask for loopdev
+
+#-------------------------------------------------------------------------------
+# The wonder...
+#-------------------------------------------------------------------------------
+hint "has to be implemented" && exit
+
+#-------------------------------------------------------------------------------
+# Display content of the resultfile "timezone.txt".
+#-------------------------------------------------------------------------------
+if ! ${PKEXEC_BIN} ${KPARTX_BIN} -d "${LOOPDEV}" ; then
+ error_exit "deleting device mapping failed"
+fi
+
+if ${PKEXEC_BIN} ${LOSETUP_BIN} -d "${LOOPDEV}" ; then
+ success "device mapping deleted and loop device detached"
+else
+ error_exit "detaching loop device failed"
+fi
+
+exit 0